package com.ruoyi.tcZz.mapper;

import com.ruoyi.tcZz.domain.TcZclb;

import java.util.List;

/**
 * 资产列表(tc_zclds)表数据处理层
 *
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcZclbMapper
{
    /**
     * 查询资产列表排名
     *
     * @param id 资产列表排名主键
     * @return 资产列表排名
     */
    public TcZclb getById(Long id);

    /**
     * 查询资产列表排名列表
     *
     * @param tcBmtb 资产列表排名
     * @return 资产列表排名集合
     */
    public List<TcZclb> page(TcZclb tcBmtb);

    /**
     * 新增资产列表排名
     *
     * @param tcBmtb 资产列表排名
     * @return 结果
     */
    public int insert(TcZclb tcBmtb);

    /**
     * 修改资产列表排名
     *
     * @param tcBmtb 资产列表排名
     * @return 结果
     */
    public int update(TcZclb tcBmtb);

    /**
     * 删除资产列表排名
     *
     * @param id 资产列表排名主键
     * @return 结果
     */
    public int deleteById(Long id);

    /**
     * 批量删除资产列表排名
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteByIds(Long[] ids);
}
