package com.ruoyi.tcZz.mapper;

import com.ruoyi.tcZz.domain.TcZclds;
import com.ruoyi.tcZz.domain.TcZczccg;

import java.util.List;

/**
 * 众测资产成果(tc_zczccg)表数据处理层
 *
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcZczccgMapper
{
    /**
     * 查询众测资产成果排名
     *
     * @param id 众测资产成果排名主键
     * @return 众测资产成果排名
     */
    public TcZczccg getById(Long id);

    /**
     * 查询众测资产成果排名列表
     *
     * @param tcBmtb 众测资产成果排名
     * @return 众测资产成果排名集合
     */
    public List<TcZczccg> page(TcZczccg tcBmtb);

    /**
     * 新增众测资产成果排名
     *
     * @param tcBmtb 众测资产成果排名
     * @return 结果
     */
    public int insert(TcZczccg tcBmtb);

    /**
     * 修改众测资产成果排名
     *
     * @param tcBmtb 众测资产成果排名
     * @return 结果
     */
    public int update(TcZczccg tcBmtb);

    /**
     * 删除众测资产成果排名
     *
     * @param id 众测资产成果排名主键
     * @return 结果
     */
    public int deleteById(Long id);

    /**
     * 批量删除众测资产成果排名
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteByIds(Long[] ids);

    /**
     * 大屏查询众测资产成果最新一条
     */
    TcZczccg getOne();
}
