package com.ruoyi.tcZz.service;

import com.ruoyi.tcZz.domain.TcZclb;
import com.ruoyi.tcZz.domain.TcZczccg;

import java.util.List;

/**
 * 资产列表(tc_zclb)表业务层
 *
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcZclbService {
    /**
     * 查询资产列表
     *
     * @param id 众测资产成果主键
     * @return 众测资产成果
     */
    TcZclb getById(Long id);

    /**
     * 查询资产列表
     *
     * @param tc 众测资产成果
     * @return 众测资产成果集合
     */
    List<TcZclb> page(TcZclb tc);

    /**
     * 新增资产列表
     *
     * @param tc 众测资产成果
     * @return 结果
     */
    int insert(TcZclb tc);

    /**
     * 修改资产列表
     *
     * @param tc 众测资产成果
     * @return 结果
     */
    int update(TcZclb tc);

    /**
     * 批量删除资产列表
     *
     * @param ids 需要删除的众测资产成果主键集合
     * @return 结果
     */
    int deleteByIds(Long[] ids);

    /**
     * 删除资产列表
     *
     * @param id 众测资产成果主键
     * @return 结果
     */
    int deleteById(Long id);

    String importUser(List<TcZclb> tcZbxqList);
}
