package com.ruoyi.tcZz.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcZcdwpm;
import com.ruoyi.tcZz.mapper.TcZcdwpmMapper;
import com.ruoyi.tcZz.service.ITcZcdwpmService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 众测单位排名(tc_zcdwpm)表业务处理层
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Service
public class TcZcdwpmServiceImpl implements ITcZcdwpmService
{

    @Resource
    private TcZcdwpmMapper tcZcdwpmMapper;

    /**
     * 查询众测单位排名
     *
     * @param id 众测单位排名主键
     * @return 众测单位排名
     */
    @Override
    public TcZcdwpm getById(Long id) {
        return tcZcdwpmMapper.getById(id);
    }

    /**
     * 查询众测单位排名列表
     *
     * @param tc 众测单位排名
     * @return 众测单位排名集合
     */
    @Override
    public List<TcZcdwpm> page(TcZcdwpm tc) {
        return tcZcdwpmMapper.page(tc);
    }

    /**
     * 新增众测单位排名
     *
     * @param tc 众测单位排名
     * @return 结果
     */
    @Override
    public int insert(TcZcdwpm tc) {
        tc.setCreateTime(DateUtils.getNowDate());
        return tcZcdwpmMapper.insert(tc);
    }

    /**
     * 修改众测单位排名
     *
     * @param tc 众测单位排名
     * @return 结果
     */
    @Override
    public int update(TcZcdwpm tc) {
        return tcZcdwpmMapper.update(tc);
    }


    /**
     * 批量删除众测单位排名
     *
     * @param ids 需要删除的众测单位排名主键集合
     * @return 结果
     */
    @Override
    public int deleteByIds(Long[] ids) {
        return tcZcdwpmMapper.deleteByIds(ids);
    }

    /**
     * 删除众测单位排名信息
     *
     * @param id 众测单位排名主键
     * @return 结果
     */
    @Override
    public int deleteById(Long id) {
        return tcZcdwpmMapper.deleteById(id);
    }

    @Override
    public String importUser(List<TcZcdwpm> tcZbxqList) {
            StringBuilder successMsg = new StringBuilder();
            if (!tcZbxqList.isEmpty()) {
                for (TcZcdwpm items : tcZbxqList) {
                    tcZcdwpmMapper.insert(items);
                }
                successMsg.append("导入成功");
            }
           return successMsg.toString();
    }
}
