package com.ruoyi.tcZz.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcZclb;
import com.ruoyi.tcZz.mapper.TcZclbMapper;
import com.ruoyi.tcZz.service.ITcZclbService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 资产列表(tc_zclb)表业务处理层
 *
 * @author ruoyi
 * @date 2023-10-13
 */
@Service
public class TcZclbServiceImpl implements ITcZclbService
{
    @Resource
    private TcZclbMapper tcZclbMapper;

    /**
     * 查询资产列表
     *
     * @param id 资产列表主键
     * @return 资产列表
     */
    @Override
    public TcZclb getById(Long id) {
        return tcZclbMapper.getById(id);
    }

    /**
     * 查询资产列表列表
     *
     * @param tc 资产列表
     * @return 资产列表集合
     */
    @Override
    public List<TcZclb> page(TcZclb tc) {
        return tcZclbMapper.page(tc);
    }

    /**
     * 新增资产列表
     *
     * @param tc 资产列表
     * @return 结果
     */
    @Override
    public int insert(TcZclb tc) {
        tc.setCreateTime(DateUtils.getNowDate());
        return tcZclbMapper.insert(tc);
    }

    /**
     * 修改资产列表
     *
     * @param tc 资产列表
     * @return 结果
     */
    @Override
    public int update(TcZclb tc) {
        return tcZclbMapper.update(tc);
    }

    /**
     * 批量删除资产列表
     *
     * @param ids 需要删除的资产列表主键集合
     * @return 结果
     */
    @Override
    public int deleteByIds(Long[] ids) {
        return tcZclbMapper.deleteByIds(ids);
    }

    /**
     * 删除资产列表信息
     *
     * @param id 资产列表主键
     * @return 结果
     */
    @Override
    public int deleteById(Long id) {
        return tcZclbMapper.deleteById(id);
    }

    @Override
    public String importUser(List<TcZclb> tcZbxqList) {
        StringBuilder successMsg = new StringBuilder();
        if (!tcZbxqList.isEmpty()) {
            for (TcZclb items : tcZbxqList) {
                tcZclbMapper.insert(items);
            }
            successMsg.append("导入成功");
        }
        return successMsg.toString();
    }
}
