package com.ruoyi.tcZz.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcZclds;
import com.ruoyi.tcZz.mapper.TcZcldsMapper;
import com.ruoyi.tcZz.service.ITcZcldsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 众测漏洞数(tc_zclds)表业务处理层
 *
 * @author ruoyi
 * @date 2023-10-13
 */
@Service
public class TcZcldsServiceImpl implements ITcZcldsService
{

    @Resource
    private TcZcldsMapper tcZcldsMapper;

    /**
     * 查询众测漏洞数
     *
     * @param id 众测漏洞数主键
     * @return 众测漏洞数
     */
    @Override
    public TcZclds getById(Long id) {
        return tcZcldsMapper.getById(id);
    }

    /**
     * 查询众测漏洞数列表
     *
     * @param tc 众测漏洞数
     * @return 众测漏洞数集合
     */
    @Override
    public List<TcZclds> page(TcZclds tc) {
        return tcZcldsMapper.page(tc);
    }

    /**
     * 新增众测漏洞数
     *
     * @param tc 众测漏洞数
     * @return 结果
     */
    @Override
    public int insert(TcZclds tc) {
        tc.setCreateTime(DateUtils.getNowDate());
        return tcZcldsMapper.insert(tc);
    }


    /**
     * 修改众测漏洞数
     *
     * @param tc 众测漏洞数
     * @return 结果
     */
    @Override
    public int update(TcZclds tc) {
        return tcZcldsMapper.update(tc);
    }

    /**
     * 批量删除众测漏洞数
     *
     * @param ids 需要删除的众测漏洞数主键集合
     * @return 结果
     */
    @Override
    public int deleteByIds(Long[] ids) {
        return tcZcldsMapper.deleteByIds(ids);
    }


    /**
     * 删除众测漏洞数信息
     *
     * @param id 众测漏洞数主键
     * @return 结果
     */
    @Override
    public int deleteById(Long id) {
        return tcZcldsMapper.deleteById(id);
    }

    @Override
    public String importUser(List<TcZclds> tcZbxqList) {
        StringBuilder successMsg = new StringBuilder();
        if (!tcZbxqList.isEmpty()) {
            for (TcZclds items : tcZbxqList) {
                tcZcldsMapper.insert(items);
            }
            successMsg.append("导入成功");
        }
        return successMsg.toString();
    }
}
