package com.ruoyi.tcZz.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcZczccg;
import com.ruoyi.tcZz.mapper.TcZczccgMapper;
import com.ruoyi.tcZz.service.ITcZczccgService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 众测资产成果(tc_zczccg)表业务处理层
 *
 * @author ruoyi
 * @date 2023-10-13
 */
@Service
public class TcZczccgServiceImpl implements ITcZczccgService
{
    @Resource
    private TcZczccgMapper  tcZczccgMapper;

    /**
     * 查询众测资产成果
     *
     * @param id 众测资产成果主键
     * @return 众测资产成果
     */
    @Override
    public TcZczccg getById(Long id) {
        return tcZczccgMapper.getById(id);
    }

    /**
     * 查询众测资产成果列表
     *
     * @param tc 众测资产成果
     * @return 众测资产成果集合
     */
    @Override
    public List<TcZczccg> page(TcZczccg tc) {
        return tcZczccgMapper.page(tc);
    }

    /**
     * 新增众测资产成果
     *
     * @param tc 众测资产成果
     * @return 结果
     */
    @Override
    public int insert(TcZczccg tc) {
        tc.setCreateTime(DateUtils.getNowDate());
        return tcZczccgMapper.insert(tc);
    }

    /**
     * 修改众测资产成果
     *
     * @param tc 众测资产成果
     * @return 结果
     */
    @Override
    public int update(TcZczccg tc) {
        return tcZczccgMapper.update(tc);
    }

    /**
     * 批量删除众测资产成果
     *
     * @param ids 需要删除的众测资产成果主键集合
     * @return 结果
     */
    @Override
    public int deleteByIds(Long[] ids) {
        return tcZczccgMapper.deleteByIds(ids);
    }

    /**
     * 删除众测资产成果信息
     *
     * @param id 众测资产成果主键
     * @return 结果
     */
    @Override
    public int deleteById(Long id) {
        return tcZczccgMapper.deleteById(id);
    }

    @Override
    public String importUser(List<TcZczccg> tcZbxqList) {
        StringBuilder successMsg = new StringBuilder();
        if (!tcZbxqList.isEmpty()) {
            for (TcZczccg items : tcZbxqList) {
                tcZczccgMapper.insert(items);
            }
            successMsg.append("导入成功");
        }
        return successMsg.toString();
    }

    /**
     * 大屏查询众测资产成果最新一条
     */
    @Override
    public TcZczccg getOne() {
        return tcZczccgMapper.getOne();
    }
}
